import React, {Component} from 'react';
import KitchenTestComponent from './kitchen-test-component';
import kitchenTestComponentProperties from './kitchen-test-component-props';

export default class FormKitchenTestComponent extends Component {
    static propTypes = kitchenTestComponentProperties;

    getModel() {
        const {currentState, modelName} = this.props;
        return currentState[modelName];
    }

    render() {
        return this.getModel() ? <KitchenTestComponent {...{...this.props, autoCleanup: false, isForm: true}}/> : null;
    }
}
