import PropTypes from 'prop-types';
import {xlMessageTypeProp} from '../../xl-props/xl-message-type-prop';

export default {
    children: PropTypes.element,
    className: PropTypes.string,
    currentState: PropTypes.object.isRequired,
    disabledToggles: PropTypes.array,
    isForm: PropTypes.bool,
    label: PropTypes.string,
    message: xlMessageTypeProp,
    modelName: PropTypes.string.isRequired,
    options: PropTypes.shape({copyModel: PropTypes.bool}),
    pristine: PropTypes.oneOfType([
        PropTypes.bool,
        PropTypes.object
    ]),
    register: PropTypes.func,
    showBindings: PropTypes.bool,
    updateState: PropTypes.func.isRequired,
    valid: PropTypes.oneOfType([
        PropTypes.bool,
        PropTypes.object
    ])
};
