import Navigation from '../../../dsl/common/navigation';
import TestBindings from '../../../dsl/common/test-bindings';
import DipInteger from '../../../dsl/component/dip/dip-integer';

describe('XL DIP Integer Default Scenario', () => {
    afterAll(() => TestBindings.resetPristinity());
    beforeAll(() => Navigation.openDipElement('dipInteger2'));

    it('should have right initial state', () => {
        TestBindings.expectModelToEqual('30');
        TestBindings.expectPristineToEqual('true');
        TestBindings.expectValidToEqual('true');
        DipInteger.expectLabel('I\'m an integer');
        DipInteger.expectDescription('This is my int field.');
    });
});
