import React from 'react';
import {mount} from 'enzyme';

import {widgetInitialState} from '~/app/pages/widget-page/widget-initial-state';
import XlReactWidgetTreeSelectItemComponent from '~/app/xl-react-widget/xl-react-widget-tree-select/xl-react-widget-tree-select-item'; // eslint-disable-line max-len

describe('XlReactWidgetTreeSelectItemComponent', () => {
    const onSelect = jest.fn();

    const defaultProps = {
        ...widgetInitialState.widgetTreeSelectItem,
        onSelect
    };

    it('should render item', () => {
        const wrapper = mount(<XlReactWidgetTreeSelectItemComponent {...defaultProps}/>);
        expect(wrapper.find('.xl-react-widget-tree-item')).not.toBeDisabled();
    });
});
